#
# Cookbook Name:: zabbix
# Recipe:: mikoomi
#
# Copyright 2011, Laradji nacer
#
# Apache 2.0
#
# Mikoomi is a script that get data from mongodb server

# Install dependencies

execute "pecl_mongo" do
  command "pecl install mongo"
  action :nothing
end

package "php5-dev" do
  action :install
end

package "php-pear" do
  action :install
  notifies :run, "execute[pecl_mongo]"
end

template "/etc/php5/cli/conf.d/mongo.ini" do
  source "mongo.ini.erb"
  owner "root"
  group "root"
  mode "754"
end

template "/opt/zabbix/bin/mikoomi-mongodb-plugin.php" do
  source "mikoomi-mongodb-plugin.php.erb"
  mode "0644"
end

cookbook_file "/opt/zabbix/bin/mikoomi-mongodb-plugin.sh" do
  source "mikoomi-mongodb-plugin.sh"
  mode "0755"
end

cron "mikoomi-mongodb" do
  minute "*"
  command "/opt/zabbix/bin/mikoomi-mongodb-plugin.sh -D -z #{node.fqdn} >> /dev/null 2>&1"
end